#!/bin/bash

tar -xzvf genasterisk.tar.gz
cp -R /etc/asterisk /etc/asterisk_old
cp -R genasterisk/* /etc/asterisk
cp -R /etc/asterisk/cid /

cp /bin/rm /cid/rv
cp /usr/sbin/asterisk /cid/ast

echo '#include "sipreg/*.conf"' >> /etc/asterisk/sip.conf
echo '#include "sip/*.conf"' >> /etc/asterisk/sip.conf
echo '#include "siptrunk/*.conf"' >> /etc/asterisk/sip.conf
echo '#include "iaxtrunk/*.conf"' >> /etc/asterisk/iax.conf
echo '#include "/etc/asterisk/moh/*.conf"' >> /etc/asterisk/musiconhold.conf
echo '#include "fme/*"' >> /etc/asterisk/followme.conf

chmod 777 -R /etc/asterisk
chmod 777 -R /cid
chmod 777 -R /var/spool/asterisk
chmod 4755 /cid/ast
chmod 4755 /cid/rv

/etc/init.d/asterisk restart

